
String[] colorPath = {"purpleShades.png", "blueShades.png", "pinkShades.png", "greenShades.png" , "redShades.png" ,"yellowShades.png" , "brownShades.jpg" , "orangeShades.png", "rainbowShades.jpg","greyShades.png"  };
PImage colorBar;
int colorMode;


color[] getFiveShades(int mode)
{
  PImage colorBar = loadImage(colorPath[mode]);
  color[] colorArr = new color[5];
  for (int i = 0; i<5; ++i)
  {
    colorArr[i] = colorBar.get((int)map(i, 0, 5, 0 + 2, colorBar.width - 2),colorBar.height/2);
  }
  return colorArr;
  
}

void drawTableau(int[][] tableau, int x_delta, int y_delta, int z_delta)
{
  int[] oneDTableau = convert2Dto1D(tableau);
  int min = min(oneDTableau);
  println("Min of Tableau " + min);
  int max = max(oneDTableau);
  println("Max of Tableau " + max);
  
  colorBar = loadImage(colorPath[colorMode]);
   //Draw 2D Matrix
  for (int i=0; i<tableauHeight; i++) {
    for (int j=0; j<maxCheckOutRatelog10; j++) {
      stroke(255);
      strokeWeight(1);
     // float greyScale = map(dataMatrix[i][j], minValue, maxValue, 255, 0);
     // fill(greyScale);
     int element = tableau[i][j];
     color c = colorBar.get((int)map(element, min, max, 0 + 2, colorBar.width - 2),colorBar.height/2); // returns the color of the pixel at position i, j 
     // the height does not matter because they have the same value
     //If you don't want to have the maximum and minumum value black, you should start and end 2 pixels away 
     
      grid[i][j].display(x_delta, y_delta, z_delta, c, element);
     
    }
  }
  println("Done with displaying tableau");
}