// 2D Array of objects
Cell[][] grid;

// Number of columns and rows in the grid
//int cols = 10;
//int rows = 10;

// A Cell object
class Cell {
  // A cell object knows about its location in the grid 
  // as well as its size with the variables x,y,w,h
  float x,y;   // x,y location
  float w,h;   // width and height
  float angle; // angle for oscillating brightness

  // Cell Constructor
  Cell(float tempX, float tempY, float tempW, float tempH, float tempAngle) {
    x = tempX;
    y = tempY;
    w = tempW;
    h = tempH;
    angle = tempAngle;
  } 
  
  // Oscillation means increase angle
  void oscillate() {
    angle += 0.02; 
  }

  void display(int x_delta, int y_delta, int z_delta, color c, int element ) { 
    // Color calculated using sine wave
   // fill(127+127*sin(angle));
    pushMatrix();
    translate(x_delta +x, y_delta +y, z_delta);
    fill(c);
    stroke(c);
    sphere(log(element));
    //point(x, y);
  //  rect(x,y,w,h); 
    popMatrix();
  }
}